package lingtao.net.bean;

import java.util.Date;

import lombok.Data;

/**
 * 用户
 *
 * @author Administrator
 */
@Data
public class SysUser {
    private Integer userId;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(String userStatus) {
        this.userStatus = userStatus;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getSysStatus() {
        return sysStatus;
    }

    public void setSysStatus(String sysStatus) {
        this.sysStatus = sysStatus;
    }

    public String getReadLogStatus() {
        return readLogStatus;
    }

    public void setReadLogStatus(String readLogStatus) {
        this.readLogStatus = readLogStatus;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getBirthDay() {
        return birthDay;
    }

    public void setBirthDay(String birthDay) {
        this.birthDay = birthDay;
    }

    public String getBirthType() {
        return birthType;
    }

    public void setBirthType(String birthType) {
        this.birthType = birthType;
    }

    public Integer getIsBirthDay() {
        return isBirthDay;
    }

    public void setIsBirthDay(Integer isBirthDay) {
        this.isBirthDay = isBirthDay;
    }

    public String getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(String entryDate) {
        this.entryDate = entryDate;
    }

    public String getNeedIp() {
        return needIp;
    }

    public void setNeedIp(String needIp) {
        this.needIp = needIp;
    }

    public String getRoleSearch() {
        return roleSearch;
    }

    public void setRoleSearch(String roleSearch) {
        this.roleSearch = roleSearch;
    }

    public String[] getRoleArr() {
        return roleArr;
    }

    public void setRoleArr(String[] roleArr) {
        this.roleArr = roleArr;
    }

    private String realname;

    private String username;

    private String password;

    private String userStatus;

    private String role;

    private String sysStatus;

    private String readLogStatus;

    private String createBy;

    private Date createDate;

    private String updateBy;

    private Date updateDate;

    private String birthDay;

    private String birthType;

    private Integer isBirthDay;

    private String entryDate;

    // 是否需要判断IP 0:否 1:是
    private String needIp;

    // 根据角色查找用户
    private String roleSearch;

    // 用户所拥有角色数组
    private String[] roleArr;

}